#!/usr/local/bin/python3.4
import cgi
import cgitb
cgitb.enable()

import sys
import io
import os
import urllib.parse
# **************************************
# pip install mysql-connector-python --user
# **************************************
import mysql.connector
import pprint

sys.stdout = io.TextIOWrapper(sys.stdout.buffer, encoding='utf-8')

print("Content-Type: text/html; charset=utf-8")
print( "Expires: Thu, 19 Nov 1981 08:52:00 GMT" )
print( "Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0" )
print( "Pragma: no-cache" )
print()


# **************************************
# 接続 
# **************************************
cnn = mysql.connector.connect(
host='mysql140.phy.lolipop.lan',
port=3306,
db='LAA1087486-db',
user='LAA1087486',
passwd='monday',
charset="utf8",
autocommit=True)


# **************************************
# HTML
# **************************************
out_client1 = """<!DOCTYPE html>
<html>
<head>
<meta content="width=device-width initial-scale=1.0 minimum-scale=1.0 maximum-scale=1.0 user-scalable=no" name="viewport">
<meta charset="utf-8">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.css">
<style>
* {
	font-size: 16px;
	font-family: "ヒラギノ角ゴPro W6","Hiragino Kaku Gothic Pro W6","メイリオ",Meiryo,"ＭＳ Ｐゴシック",Verdana,Arial,Helvetica,sans-serif;
}
#head {
	background-color: #404040;
	padding: 10px 15px 10px 15px;
}
#head * {
	color: #ffffff;
}
img {
	border: 1px solid #c0c0c0;
	margin-top: 12px;
	margin-bottom: 30px;
}

/* PC 用の表示 */
@media screen and ( min-width:480px ) {
	#content {
		margin: 20px;
	}
	.text {
		width: 600px;
	}
}

/* スマホ用の表示 */
@media screen and ( max-width:479px ) {
	body {
		width: 100%;
		margin: 0px;
	}
	#content {
		margin: 0px;
	}
	.text {
		margin: 6px;
	}
	img {
		width: 100%;
	}
	#qrcode {
		display: none;
	}
}

</style>
</head>
<body>
<div id="head">
	<div id="title">
		<a href="index.html">Python + MySQL</a>
	</div>
</div>

<div id="content">
<pre>"""

out_client2 = """</pre></div></body>
</html>"""

# **************************************
# 画面
# **************************************
print(out_client1)

# **************************************
# MySQL (mysql.connector)
# **************************************
cursor = cnn.cursor(dictionary=True)

sql = """select
		*
		from maildb order by create_date desc"""

cursor.execute(sql)

row = cursor.fetchall()

if row is None:
	set("check_message", "データが存在しません")
else:
	# **************************************
	# オブジェクト一括出力
	# **************************************
	pprint.pprint(row)

cursor.close()


print(out_client2)

# **************************************
# 接続解除
# **************************************
cnn.close()

